/* Test de classes sans et avec initialisation */

public class TestInitialisationClasse {

/* Stockage d'une date sans initialisation     */
  
  static class DateSansInit {
    int jour;
    int mois;
    int annee; };

/* Stockage d'une date avec initialisation     */
  
  static class DateAvecInit {
    int jour = 1;
    int mois = 1;
    int annee = 1901; };

/* Programme principal                         */

  public static void main(String [] args) {
    DateSansInit d1 = new DateSansInit();
    DateAvecInit d2 = new DateAvecInit();
    Ecran.afficher("Date 1 : ");
    Ecran.afficherln(d1.jour,":",
                     d1.mois,":",
                     d1.annee);
    Ecran.afficher("Date 2 : ");
    Ecran.afficherln(d2.jour,":",
                     d2.mois,":",
                     d2.annee);
  }
}